Sign inGet Started

Create a list

POST
/workspaces/{workspaceId}/lists
This endpoint is used to create a new contact list. A contact list can be used to group contacts together.
Parámetros de ruta
workspaceId
string
The unique identifier of the workspace.
Cuerpo de la solicitud
name
string
obligatorio
Name
description
string
consentType
string
The consent type for the list.
Possible values: single, double
tags
array of string
isProof
boolean
The list is used as a proof list to use it as a test list in campaigns.
Cuerpo de la respuesta
id
string
obligatorio
The unique identifier for the list.
name
string
obligatorio
The name of the list.
description
string
obligatorio
The description of the list.
createdAt
string
updatedAt
string
contactCount
integer
The number of contacts in the list.
consentType
string
The consent type for the list.
Possible values: single, double
tags
array of string
The tags associated with the list.
isProof
boolean
The list is used as a proof list to use it as a test list in campaigns.
counter
object
Mostrar atributos secundarios
counter.count
integer
obligatorio
counter.updatedAt
string
obligatorio
Ejemplo de código
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/lists' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Let's establish some of our data that will be used in the following examples:
  • Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
  • AccessKey: abcd

Create a list

In this example, we're creating a list.
Ejemplo de código
curl -X POST "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/lists" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "name": "US Customers",
  "description": "US Customers", 
  "consentType": "single",
  "tags": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}'